package ch.frankel.blog.lombok.handler;

/**
 * Contract for a mapper.
 * 
 * @param <K>
 *            Key type
 * @param <V>
 *            Value type
 * @author <a href="http://blog.frankel.ch/">Nicolas Frankel</a>
 */
public interface Mapper<K, V> {

    /**
     * Gets the mapped instance.
     * 
     * @param k
     *            Key
     * @return Value
     */
    V get(K k);
}
